declare type EqualableObject = {
    [key: string]: Equalable;
};
declare type HasNativeEquality = null | string | number | bigint | undefined | boolean;
export declare type Equalable = EqualableObject | HasNativeEquality | Equalable[];
declare const equals: (self: Equalable, other: Equalable) => boolean;
export default equals;
