declare type HashableObject = {
    [key: string]: Hashable;
};
declare type HasNativeHashablility = null | string | number | bigint | undefined | boolean;
export declare type Hashable = HashableObject | HasNativeHashablility | Hashable[];
declare const hash: (hashable: Hashable, seed?: number) => number;
export default hash;
